### Assignment
Given the type $`\tau`$, variable $`x`$ and value $`n`$

```math
\frac{\Gamma \ \vdash \ x \ : \ \tau \quad \Gamma \ \vdash \ n \ : \ \tau}{\lang x := n, \sigma \rang \ \Darr \ \Gamma \ \vdash x \ : \ \tau}
```

### **let** assignment
```math
\frac{\Gamma \ \vdash \ n \ : \ \tau}{\lang \text{let} \  x \ : \ \tau \ := \ n, \sigma \rang \ \Darr \ \Gamma \ \vdash x \ : \ \tau}
```

### **while** statement
The condition, $`b`$, of the while statement  

```math
\frac{}{\Gamma \ \vdash b \ : \ bool}
```

### **if/elseif** statement
The conditions, $`b_i`$, of the if- and elseif-statements

```math
\frac{}{\Gamma \ \vdash b_i \ : \ bool}
```

### Functions
Given the function $`p`$ with the type of its return type

```math
\frac{\Gamma \ \vdash p \ : \ \tau \quad \lang p, \sigma \rang \ \Darr \ n}{\Gamma \ \vdash n \ : \ \tau}
```

#### Parameters and arguments
Given a function with parameters $`p1, \dotsb, p_i`$ and arguments $`a1, \dotsb, a_i`$ then for every parameter and argument

```math
\frac{\Gamma \ \vdash p_i \ : \ \tau}{\Gamma \ \vdash a_i \ : \ \tau}
```